New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

php-fpm.conf and php.ini does not exist #3

Closed
wwp66650 opened this Issue Feb 2, 2019 · 7 comments

Comments

Projects
None yet
5 participants
@wwp66650
Copy link

wwp66650 commented Feb 2, 2019

php-fpm.log >> ERROR: failed to load configuration file '/usr/local/etc/php/5.6/php-fpm.conf'

@maxxer

This comment has been minimized.

Copy link

maxxer commented Feb 10, 2019

As a workaround you can pick them from another php version and put them in /usr/local/etc/php/5.6/, adjusting some lines

@pgrenaud pgrenaud self-assigned this Feb 11, 2019

@pgrenaud pgrenaud added the bug label Feb 11, 2019

@pgrenaud

This comment has been minimized.

Copy link
Collaborator

pgrenaud commented Feb 11, 2019

Thanks for reporting the issue.

Hum, both php@5.6 and php@7.0 bottles are incomplete, where the ini files are missing. I don't know why this happened. I'll have to find the issue and rebuild the bottles.

In the meantime, can you try to install from source using brew install php@5.6 --build-from-source to see if that fixes the issue?

@yifanes

This comment has been minimized.

Copy link

yifanes commented Feb 12, 2019

@wwp66650 Just install it by -s
@pgrenaud pls rebuild the bottles.

@renalpha

This comment has been minimized.

Copy link

renalpha commented Feb 12, 2019

got exactly the same problem, I want to run php56 as FPM with a different port. Will try to run from source

@maxxer

This comment has been minimized.

Copy link

maxxer commented Feb 12, 2019

Hum, both php@5.6 and php@7.0 bottles are incomplete, where the ini files are missing. I don't know why this happened. I'll have to find the issue and rebuild the bottles.

to be precise they're not the ini file but the fpm conf ones

@renalpha

This comment has been minimized.

Copy link

renalpha commented Feb 12, 2019

Yifanes tip solved my issue. thanks.

@pgrenaud

This comment has been minimized.

Copy link
Collaborator

pgrenaud commented Feb 12, 2019

Hi!

I've rebuild and deployed 2 new bottles, for php 5.6 and 7.0. Both should now have the missing files.

Please run brew update; brew reinstall php@5.6 to update your tap and reinstall php 5.6.

Have a nice day!

@pgrenaud pgrenaud closed this Feb 12, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment